Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# pango/item.hh File Reference

A PangoAnalysis and PangoItem C++ wrapper interface. More...

`#include <xfc/object.hh>`
`#include <pango/pango-item.h>`
`#include <vector>`
`#include <xfc/pango/inline/item.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Pango

## Classes

- class Xfc::Pango::Analysis
    A PangoAnalysis C++ wrapper class. More...
- class Xfc::Pango::Item
    A PangoItem C++ wrapper class. More...

## Item methods

- std::vector< Pointer< Item > > reorder_items (const std::vector< Pointer< Item > > &logical_items)
    From a list of items in logical order and the associated directional levels, produce a list in visual order (the original list is unmodified).

## Detailed Description

A PangoAnalysis and PangoItem C++ wrapper interface.

Provides Analysis and Item, two objects that store information about a segment of text.

## Function Documentation

std::vector<Pointer<Item> > reorder_items | ( | const std::vector< Pointer< Item > > & | logical_items | ) |

From a list of items in logical order and the associated directional levels, produce a list in visual order (the original list is unmodified).

Parameters:

  | logical_items | A vector of Pointer<Item> in logical order.

Returns:
  A vector of Pointer<Item> in visual order.

Please mail otaylor@redhat.com if you use this method. It is not a particularly convenient interface, and the code is duplicated elsewhere in Pango for that reason.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3